<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__sar__functions__helper" kind="group">
    <compoundname>group_sar_functions_helper</compoundname>
    <title>Useful Configuration Query Functions</title>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__sar__functions__helper_1ga7d76c8f99bd22118f526d67e2bf60f44" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>bool</type>
        <definition>bool Cy_SAR_IsChannelSigned</definition>
        <argsstring>(const SAR_Type *base, uint32_t chan)</argsstring>
        <name>Cy_SAR_IsChannelSigned</name>
        <param>
          <type>const <ref kindref="compound" refid="struct_s_a_r___type">SAR_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>chan</declname>
        </param>
        <briefdescription>
<para>Return true if channel result is configured for signed format, else false. </para>        </briefdescription>
        <detaileddescription>
<para>The formats for single-ended and differential channels are independent. This function will first check whether the channel is single-ended or differential.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to structure describing registers</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>chan</parametername>
</parameternamelist>
<parameterdescription>
<para>The channel to check, between 0 and <ref kindref="member" refid="group__group__sar__macros_1ga92cec01d80f386f95916cc4f0ef238af">CY_SAR_INJ_CHANNEL</ref></para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>If channel number is invalid, false is returned</para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para /></simplesect>
<programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Query<sp />if<sp />channel<sp />0<sp />is<sp />signed.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />isSigned;</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />isSigned<sp />=<sp /><ref kindref="member" refid="group__group__sar__functions__helper_1ga7d76c8f99bd22118f526d67e2bf60f44">Cy_SAR_IsChannelSigned</ref>(SAR,<sp />0UL);</highlight></codeline>
</programlisting></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="598" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_sar.c" bodystart="572" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" line="1499" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sar__functions__helper_1gac69c6b6cfa30d63297086067b1e78861" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>bool</type>
        <definition>bool Cy_SAR_IsChannelSingleEnded</definition>
        <argsstring>(const SAR_Type *base, uint32_t chan)</argsstring>
        <name>Cy_SAR_IsChannelSingleEnded</name>
        <param>
          <type>const <ref kindref="compound" refid="struct_s_a_r___type">SAR_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>chan</declname>
        </param>
        <briefdescription>
<para>Return true if channel is single ended, else false. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to structure describing registers</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>chan</parametername>
</parameternamelist>
<parameterdescription>
<para>The channel to check, between 0 and <ref kindref="member" refid="group__group__sar__macros_1ga92cec01d80f386f95916cc4f0ef238af">CY_SAR_INJ_CHANNEL</ref></para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>If channel number is invalid, false is returned</para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para /></simplesect>
<programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Query<sp />if<sp />channel<sp />0<sp />is<sp />single<sp />ended.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />isSingleEnded;</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />isSingleEnded<sp />=<sp /><ref kindref="member" refid="group__group__sar__functions__helper_1gac69c6b6cfa30d63297086067b1e78861">Cy_SAR_IsChannelSingleEnded</ref>(SAR,<sp />0UL);</highlight></codeline>
</programlisting></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="644" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_sar.c" bodystart="621" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" line="1500" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sar__functions__helper_1ga006244ce427ed95401a74e43214c77df" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE bool</type>
        <definition>__STATIC_INLINE bool Cy_SAR_IsChannelDifferential</definition>
        <argsstring>(const SAR_Type *base, uint32_t chan)</argsstring>
        <name>Cy_SAR_IsChannelDifferential</name>
        <param>
          <type>const <ref kindref="compound" refid="struct_s_a_r___type">SAR_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>chan</declname>
        </param>
        <briefdescription>
<para>Return true of channel is differential, else false. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to structure describing registers</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>chan</parametername>
</parameternamelist>
<parameterdescription>
<para>The channel to check, starting at 0.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>A false is return if chan is invalid.</para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para /></simplesect>
<programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Query<sp />if<sp />channel<sp />0<sp />is<sp />differential.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />isDifferential;</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />isDifferential<sp />=<sp /><ref kindref="member" refid="group__group__sar__functions__helper_1ga006244ce427ed95401a74e43214c77df">Cy_SAR_IsChannelDifferential</ref>(SAR,<sp />0UL);</highlight></codeline>
</programlisting></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="2157" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" bodystart="2154" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" line="1501" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>This set of functions is for useful configuration query. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>